diff --git a/game/client/src/main/java/net/minecraft/client/net/handler/PacketHandlerClient.java b/game/client/src/main/java/net/minecraft/client/net/handler/PacketHandlerClient.java
index 892633eaf..8b6e38fc4 100644
--- a/game/client/src/main/java/net/minecraft/client/net/handler/PacketHandlerClient.java
+++ b/game/client/src/main/java/net/minecraft/client/net/handler/PacketHandlerClient.java
@@ -407,351 +381,295 @@ public class PacketHandlerClient extends PacketHandler
             }
         }
     }
+
     @Override
-    public void handleSetHotbarOffset(@NotNull PacketSetHotbarOffset packetSetHotbarOffset)
-    {
-        mc.thePlayer.inventory.setHotbarOffset(packetSetHotbarOffset.hotbarOffset, true);
+    public void handleSetHotbarOffset(@NotNull PacketSetHotbarOffset packetSetHotbarOffset) {
+        this.mc.thePlayer.inventory.setHotbarOffset(packetSetHotbarOffset.hotbarOffset, true);
     }
 
     @Override
-    public void handleRemoveEntity(@NotNull PacketRemoveEntity packetRemoveEntity)
-    {
-        worldClientMP.removeEntityFromWorld(packetRemoveEntity.entityId);
+    public void handleRemoveEntity(@NotNull PacketRemoveEntity packetRemoveEntity) {
+        this.worldClientMP.removeEntityFromWorld(packetRemoveEntity.entityId);
     }
 
     @Override
-    public void handleMovePlayer(@NotNull PacketMovePlayer packetMovePlayer)
-    {
-        PlayerLocal entityplayersp = mc.thePlayer;
-        double d = ((Player) (entityplayersp)).x;
-        double d1 = ((Player) (entityplayersp)).y;
-        double d2 = ((Player) (entityplayersp)).z;
-        float f = ((Player) (entityplayersp)).yRot;
-        float f1 = ((Player) (entityplayersp)).xRot;
-        if (packetMovePlayer.hasPosition)
-        {
+    public void handleMovePlayer(@NotNull PacketMovePlayer packetMovePlayer) {
+        PlayerLocal entityplayersp = this.mc.thePlayer;
+        double d = entityplayersp.x;
+        double d1 = entityplayersp.y;
+        double d2 = entityplayersp.z;
+        float f = entityplayersp.yRot;
+        float f1 = entityplayersp.xRot;
+        if (packetMovePlayer.hasPosition) {
             d = packetMovePlayer.x;
             d1 = packetMovePlayer.y;
             d2 = packetMovePlayer.z;
         }
-        if (packetMovePlayer.hasRotation)
-        {
+        if (packetMovePlayer.hasRotation) {
             f = packetMovePlayer.yaw;
             f1 = packetMovePlayer.pitch;
         }
         entityplayersp.ySlideOffset = 0.0F;
         entityplayersp.xd = entityplayersp.yd = entityplayersp.zd = 0.0D;
         entityplayersp.absMoveTo(d, d1, d2, f, f1);
-        packetMovePlayer.x = ((Player) (entityplayersp)).x;
-        packetMovePlayer.y = ((Player) (entityplayersp)).bb.minY;
-        packetMovePlayer.z = ((Player) (entityplayersp)).z;
-        netManager.addToSendQueue(packetMovePlayer);
-        if (!started)
-        {
-            mc.thePlayer.xo = mc.thePlayer.x;
-            mc.thePlayer.yo = mc.thePlayer.y;
-            mc.thePlayer.zo = mc.thePlayer.z;
-            started = true;
-            mc.displayScreen(null);
+        packetMovePlayer.x = entityplayersp.x;
+        packetMovePlayer.y = entityplayersp.bb.minY;
+        packetMovePlayer.z = entityplayersp.z;
+        this.netManager.addToSendQueue(packetMovePlayer);
+        if (!this.started) {
+            this.mc.thePlayer.xo = this.mc.thePlayer.x;
+            this.mc.thePlayer.yo = this.mc.thePlayer.y;
+            this.mc.thePlayer.zo = this.mc.thePlayer.z;
+            this.started = true;
+            this.mc.displayScreen(null);
         }
     }
 
     @Override
-    public void handleChunkVisibility(@NotNull PacketChunkVisibility packetChunkVisibility)
-    {
-        worldClientMP.doPreChunk(packetChunkVisibility.chunkX, packetChunkVisibility.chunkZ, packetChunkVisibility.playerAdded);
+    public void handleChunkVisibility(@NotNull PacketChunkVisibility packetChunkVisibility) {
+        this.worldClientMP.doPreChunk(new ChunkPos(packetChunkVisibility.chunkX, packetChunkVisibility.chunkZ), packetChunkVisibility.playerAdded);
     }
 
     @Override
-    public void handleChunkBlocksUpdate(@NotNull PacketChunkBlocksUpdate packetChunkBlocksUpdate)
-    {
+    public void handleChunkBlocksUpdate(@NotNull PacketChunkBlocksUpdate packetChunkBlocksUpdate) {
         int xBase = packetChunkBlocksUpdate.xChunk * 16;
         int zBase = packetChunkBlocksUpdate.zChunk * 16;
-        for (int k = 0; k < packetChunkBlocksUpdate.size; k++)
-        {
+        for (int k = 0; k < packetChunkBlocksUpdate.size; k++) {
             int coord = packetChunkBlocksUpdate.coordinateArray[k];
             int type = packetChunkBlocksUpdate.typeArray[k] & 0x3fff;
             byte data = packetChunkBlocksUpdate.metadataArray[k];
             int x = coord >> 0 & 0xf;
             int y = coord >> 8 & 0xff;
             int z = coord >> 4 & 0xf;
-            worldClientMP.setBlockAndMetadataWithNotify(x + xBase, y, z + zBase, type, data);
-            worldClientMP.removePositionTypesInBounds(x + xBase, y, z + zBase, x + xBase, y, z + zBase);
-            worldClientMP.markBlocksDirty(x + xBase, y, z + zBase, x + xBase, y, z + zBase);
+            this.worldClientMP.setBlockAndMetadataWithNotify(x + xBase, y, z + zBase, type, data);
+            this.worldClientMP.removePositionTypesInBounds(new TilePos(x + xBase, y, z + zBase), new TilePos(x + xBase, y, z + zBase));
+            this.worldClientMP.markBlocksDirty(x + xBase, y, z + zBase, x + xBase, y, z + zBase);
         }
 
     }
 
     @Override
-    public void handleBlockRegionUpdate(@NotNull PacketBlockRegionUpdate packetBlockRegionUpdate)
-    {
-        for (int x = packetBlockRegionUpdate.xPosition / 16; x <= packetBlockRegionUpdate.xPosition / 16 + packetBlockRegionUpdate.xSize / 16; x++) {
-            for (int z = packetBlockRegionUpdate.zPosition / 16; z <= packetBlockRegionUpdate.zPosition / 16 + packetBlockRegionUpdate.zSize / 16; z++) {
-                worldClientMP.doPreChunk(x, z, true);
+    public void handleBlockRegionUpdate(@NotNull PacketBlockRegionUpdate packetBlockRegionUpdate) {
+        ChunkPos pos = new ChunkPos();
+        for (pos.x = packetBlockRegionUpdate.xPosition / 16; pos.x <= packetBlockRegionUpdate.xPosition / 16 + packetBlockRegionUpdate.xSize / 16; pos.x++) {
+            for (pos.z = packetBlockRegionUpdate.zPosition / 16; pos.z <= packetBlockRegionUpdate.zPosition / 16 + packetBlockRegionUpdate.zSize / 16; pos.z++) {
+                this.worldClientMP.doPreChunk(pos, true);
             }
         }
-        worldClientMP.removePositionTypesInBounds(packetBlockRegionUpdate.xPosition, packetBlockRegionUpdate.yPosition, packetBlockRegionUpdate.zPosition, (packetBlockRegionUpdate.xPosition + packetBlockRegionUpdate.xSize) - 1, (packetBlockRegionUpdate.yPosition + packetBlockRegionUpdate.ySize) - 1, (packetBlockRegionUpdate.zPosition + packetBlockRegionUpdate.zSize) - 1);
-        worldClientMP.setChunkData(packetBlockRegionUpdate.xPosition, packetBlockRegionUpdate.yPosition, packetBlockRegionUpdate.zPosition, packetBlockRegionUpdate.xSize, packetBlockRegionUpdate.ySize, packetBlockRegionUpdate.zSize, packetBlockRegionUpdate.chunk);
+        this.worldClientMP.removePositionTypesInBounds(new TilePos(packetBlockRegionUpdate.xPosition, packetBlockRegionUpdate.yPosition, packetBlockRegionUpdate.zPosition), new TilePos((packetBlockRegionUpdate.xPosition + packetBlockRegionUpdate.xSize) - 1, (packetBlockRegionUpdate.yPosition + packetBlockRegionUpdate.ySize) - 1, (packetBlockRegionUpdate.zPosition + packetBlockRegionUpdate.zSize) - 1));
+        this.worldClientMP.setChunkData(packetBlockRegionUpdate.xPosition, packetBlockRegionUpdate.yPosition, packetBlockRegionUpdate.zPosition, packetBlockRegionUpdate.xSize, packetBlockRegionUpdate.ySize, packetBlockRegionUpdate.zSize, packetBlockRegionUpdate.chunk);
     }
 
     @Override
-    public void handleBlockUpdate(@NotNull PacketBlockUpdate packetBlockUpdate)
-    {
-        worldClientMP.blockChange(packetBlockUpdate.xPosition, packetBlockUpdate.yPosition, packetBlockUpdate.zPosition, packetBlockUpdate.blockId, packetBlockUpdate.metadata);
+    public void handleBlockUpdate(@NotNull PacketBlockUpdate packetBlockUpdate) {
+        this.worldClientMP.blockChange(new TilePos(packetBlockUpdate.xPosition, packetBlockUpdate.yPosition, packetBlockUpdate.zPosition), Blocks.getBlock(packetBlockUpdate.blockId), packetBlockUpdate.metadata);
     }
 
     @Override
-    public void handleDisconnect(@NotNull PacketDisconnect packetDisconnect)
-    {
-        netManager.networkShutdown("disconnect.kicked", new Object[0]);
-        disconnected = true;
-        mc.changeWorld(null);
-        mc.displayScreen(new ScreenConnectFailed("disconnect.disconnected", "disconnect.genericReason", new Object[]{
+    public void handleDisconnect(@NotNull PacketDisconnect packetDisconnect) {
+        this.netManager.networkShutdown("disconnect.kicked", new Object[0]);
+        this.disconnected = true;
+        this.mc.changeWorld(null);
+        this.mc.displayScreen(new ScreenConnectFailed("disconnect.disconnected", "disconnect.genericReason", new Object[]{
             packetDisconnect.reason
         }));
     }
 
     @Override
-    public void handleErrorMessage(String message, Object[] objects)
-    {
-        if (!disconnected) {
-            disconnected = true;
+    public void handleErrorMessage(String message, Object[] objects) {
+        if (!this.disconnected) {
+            this.disconnected = true;
             try {
-                mc.changeWorld(null); // Leave current world
+                this.mc.changeWorld(null); // Leave current world
             } catch (Exception e) {
                 LOGGER.error("Exception when leaving world!", e);
             }
             try {
-                mc.displayScreen(null); // Exit out of current GUI
+                this.mc.displayScreen(null); // Exit out of current GUI
             } catch (Exception e) {
                 LOGGER.error("Exception when leaving GUI!", e);
             }
 
-            mc.displayScreen(new ScreenConnectFailed("disconnect.lost", message, objects)); // Open error message gui
+            this.mc.displayScreen(new ScreenConnectFailed("disconnect.lost", message, objects)); // Open error message gui
         }
     }
 
-    public void sendFinalPacket(Packet packet)
-    {
-        if (!disconnected) {
-            netManager.addToSendQueue(packet);
-            netManager.serverShutdown();
+    public void sendFinalPacket(Packet packet) {
+        if (!this.disconnected) {
+            this.netManager.addToSendQueue(packet);
+            this.netManager.serverShutdown();
         }
     }
 
-    public void addToSendQueue(Packet packet)
-    {
-        if (!disconnected) {
-            netManager.addToSendQueue(packet);
+    public void addToSendQueue(Packet packet) {
+        if (!this.disconnected) {
+            this.netManager.addToSendQueue(packet);
         }
     }
 
     @Override
-    public void handleTakeItemEntity(@NotNull PacketTakeItemEntity packetTakeItemEntity)
-    {
+    public void handleTakeItemEntity(@NotNull PacketTakeItemEntity packetTakeItemEntity) {
         Entity item = getEntityByID(packetTakeItemEntity.collectedEntityId);
         Entity collector = getEntityByID(packetTakeItemEntity.collectorEntityId);
-        if (collector == null)
-        {
-            collector = mc.thePlayer;
+        if (collector == null) {
+            collector = this.mc.thePlayer;
         }
-        if (item != null)
-        {
+        if (item != null) {
             // this class does not seem to handle pick up from server dropped items. find where it is.
             // something about that isn't working on servers if the player changed their gamemode.
-            worldClientMP.playSoundAtEntity(null, item, "item.pickup", 1F, ((rand.nextFloat() - rand.nextFloat()) * 0.7F + 1.0F) * 4.0F);
-            mc.particleEngine.add(new ParticlePickupAnimation(mc.currentWorld, item, collector, -0.5F));
-            worldClientMP.removeEntityFromWorld(packetTakeItemEntity.collectedEntityId);
-        }
-    }
-
-	@Override
-	public void handleChat(@NotNull PacketChat packet) {
-		String message;
-		if(packet.encrypted) {
-			try {
-				message = AES.decrypt(packet.message, AES.clientKeyChain);
-			}catch (Exception e) {
-				throw new RuntimeException(PacketChat.ENCRYPTION_ERROR_MESSAGE, e);
-			}
-		}else {
-			message = packet.message;
-		}
-		
-		int type = packet.type;
-		if(type == 1) {
-			mc.hudIngame.heldItemTooltipElement.setString(message);
-		}else {
-			mc.hudIngame.addChatMessage(message);
-		}
-	}
-
-    public void handlePlayerJoin(PacketChat chatPacket)
-    {
-        mc.hudIngame.addChatMessage(chatPacket.message);
-    }
-
-    public void handlePlayerLeave(PacketChat chatPacket)
-    {
-        mc.hudIngame.addChatMessage(chatPacket.message);
-    }
-
-    @Override
-    public void handleAnimation(@NotNull PacketAnimate packetAnimate)
-    {
+            this.worldClientMP.playSoundAtEntity(null, item, "item.pickup", 1F, ((this.rand.nextFloat() - this.rand.nextFloat()) * 0.7F + 1.0F) * 4.0F);
+            this.mc.particleEngine.add(new ParticlePickupAnimation(this.mc.currentWorld, item, collector, -0.5F));
+            this.worldClientMP.removeEntityFromWorld(packetTakeItemEntity.collectedEntityId);
+        }
+    }
+
+    @Override
+    public void handleChat(@NotNull PacketChat packet) {
+        String message;
+        if (packet.encrypted) {
+            try {
+                message = AES.decrypt(packet.message, AES.clientKeyChain);
+            } catch (Exception e) {
+                throw new RuntimeException(PacketChat.ENCRYPTION_ERROR_MESSAGE, e);
+            }
+        } else {
+            message = packet.message;
+        }
+
+        int type = packet.type;
+        if (type == 1) {
+            this.mc.hudIngame.heldItemTooltipElement.setString(message);
+        } else {
+            this.mc.hudIngame.addChatMessage(message);
+        }
+    }
+
+    public void handlePlayerJoin(PacketChat chatPacket) {
+        this.mc.hudIngame.addChatMessage(chatPacket.message);
+    }
+
+    public void handlePlayerLeave(PacketChat chatPacket) {
+        this.mc.hudIngame.addChatMessage(chatPacket.message);
+    }
+
+    @Override
+    public void handleAnimation(@NotNull PacketAnimate packetAnimate) {
         Entity entity = getEntityByID(packetAnimate.entityId);
-        if (entity == null)
-        {
+        if (entity == null) {
             return;
         }
-        if (packetAnimate.animate == 1)
-        {
+        if (packetAnimate.animate == 1) {
             Player entityplayer = (Player) entity;
             entityplayer.swingItem();
-        }
-        else if (packetAnimate.animate == 2)
-        {
+        } else if (packetAnimate.animate == 2) {
             entity.animateHurt();
-        }
-        else if (packetAnimate.animate == 3)
-        {
+        } else if (packetAnimate.animate == 3) {
             Player player = (Player) entity;
             player.wakeUpPlayer(false, false);
-        }
-        else if (packetAnimate.animate == 4)
-        {
+        } else if (packetAnimate.animate == 4) {
             Player player = (Player) entity;
             player.animate4();
         }
     }
 
     @Override
-    public void handleBoatControl(@NotNull PacketBoatControl packetBoatControl)
-    {
-        Entity e = worldClientMP.getEntityFromId(packetBoatControl.entityId);
+    public void handleBoatControl(@NotNull PacketBoatControl packetBoatControl) {
+        Entity e = this.worldClientMP.getEntityFromId(packetBoatControl.entityId);
         if (e instanceof EntityBoat) {
-            ((EntityBoat)e).handleControlDirect(packetBoatControl.targetXD, packetBoatControl.targetZD, packetBoatControl.targetYRot);
+            ((EntityBoat) e).handleControlDirect(packetBoatControl.targetXD, packetBoatControl.targetZD, packetBoatControl.targetYRot);
         }
     }
 
     @Override
-    public void handleSleep(@NotNull PacketSleep packetSleep)
-    {
+    public void handleSleep(@NotNull PacketSleep packetSleep) {
         Entity entity = getEntityByID(packetSleep.entityID);
-        if (entity == null)
-        {
+        if (entity == null) {
             return;
         }
-        if (packetSleep.field_22046_e == 0)
-        {
+        if (packetSleep.field_22046_e == 0) {
             Player entityplayer = (Player) entity;
             entityplayer.sleepInBedAt(packetSleep.x, packetSleep.y, packetSleep.z);
         }
     }
 
     @Override
-    public void handleHandshake(@NotNull PacketHandshake packetHandshake)
-    {
-        if (packetHandshake.username.equals("-"))
-        {
-            try
-            {
+    public void handleHandshake(@NotNull PacketHandshake packetHandshake) {
+        if (packetHandshake.username.equals("-")) {
+            try {
                 RSA.RSAKeyChain = RSA.generateKeyPair();
-                addToSendQueue(new PacketLogin(mc.session.username, mc.session.uuid, Global.MP_PROTOCOL_VERSION, RSA.getPublicKey(RSA.RSAKeyChain.getPublic())));
-            }
-            catch (Exception e)
-            {
+                addToSendQueue(new PacketLogin(this.mc.session.username, this.mc.session.uuid, Global.MP_PROTOCOL_VERSION, RSA.getPublicKey(RSA.RSAKeyChain.getPublic())));
+            } catch (Exception e) {
                 throw new RuntimeException(e);
             }
-        }
-        else
-        {
-            try
-            {
-                URL url = new URL("http://session.minecraft.net/game/joinserver.jsp?user=" + mc.session.username + "&sessionId=" + mc.session.sessionId + "&serverId=" + packetHandshake.username);
+        } else {
+            try {
+                URL url = new URL("http://session.minecraft.net/game/joinserver.jsp?user=" + this.mc.session.username + "&sessionId=" + this.mc.session.sessionId + "&serverId=" + packetHandshake.username);
                 BufferedReader bufferedreader = new BufferedReader(new InputStreamReader(url.openStream()));
                 String s = bufferedreader.readLine();
                 bufferedreader.close();
-                if (s.equalsIgnoreCase("ok"))
-                {
-                    try
-                    {
+                if (s.equalsIgnoreCase("ok")) {
+                    try {
                         RSA.RSAKeyChain = RSA.generateKeyPair();
-                        addToSendQueue(new PacketLogin(mc.session.username, mc.session.uuid, Global.MP_PROTOCOL_VERSION, RSA.getPublicKey(RSA.RSAKeyChain.getPublic())));
-                    }
-                    catch (Exception e)
-                    {
+                        addToSendQueue(new PacketLogin(this.mc.session.username, this.mc.session.uuid, Global.MP_PROTOCOL_VERSION, RSA.getPublicKey(RSA.RSAKeyChain.getPublic())));
+                    } catch (Exception e) {
                         throw new RuntimeException("Exception while creating LoginPacket!", e);
                     }
-                }
-                else
-                {
-                    netManager.networkShutdown("disconnect.loginFailedInfo", new Object[]{
-                            s
+                } else {
+                    this.netManager.networkShutdown("disconnect.loginFailedInfo", new Object[]{
+                        s
                     });
                 }
-            }
-            catch (Exception exception)
-            {
+            } catch (Exception exception) {
                 LOGGER.error("Login Exception!", exception);
-                netManager.networkShutdown("disconnect.genericReason", new Object[]{
-                        "Internal client error: " + exception
+                this.netManager.networkShutdown("disconnect.genericReason", new Object[]{
+                    "Internal client error: " + exception
                 });
             }
         }
     }
 
     @Override
-    public void handleAESSendKey(@NotNull PacketAESSendKey packetAESSendKey)
-    {
-        try
-        {
+    public void handleAESSendKey(@NotNull PacketAESSendKey packetAESSendKey) {
+        try {
             AES.clientKeyChain = AES.getKey(RSA.decrypt(packetAESSendKey.KEY, RSA.RSAKeyChain.getPrivate()));
-        }
-        catch (Exception e)
-        {
+        } catch (Exception e) {
             throw new RuntimeException("Failed to get AES key!", e);
         }
     }
 
     @Override
-    public void handlePlayerList(@NotNull PacketPlayerList packetPlayerList)
-    {
-        playerList.clear();
+    public void handlePlayerList(@NotNull PacketPlayerList packetPlayerList) {
+        this.playerList.clear();
         String[] players = packetPlayerList.players;
         String[] scores = packetPlayerList.scores;
-        for (int i = 0; i < players.length; i++)
-        {
-            playerList.put(players[i], scores[i]);
+        for (int i = 0; i < players.length; i++) {
+            this.playerList.put(players[i], scores[i]);
         }
     }
 
-    public void disconnect()
-    {
-        disconnected = true;
-        netManager.wakeThreads();
-        netManager.networkShutdown("disconnect.closed", new Object[0]);
+    public void disconnect() {
+        this.disconnected = true;
+        this.netManager.wakeThreads();
+        this.netManager.networkShutdown("disconnect.closed", new Object[0]);
     }
 
     @Override
-    public void handleAddMob(@NotNull PacketAddMob packetAddMob)
-    {
+    public void handleAddMob(@NotNull PacketAddMob packetAddMob) {
         double d = (double) packetAddMob.x / 32D;
         double d1 = (double) packetAddMob.y / 32D;
         double d2 = (double) packetAddMob.z / 32D;
         float f = (float) (packetAddMob.yaw * 360) / 256F;
         float f1 = (float) (packetAddMob.pitch * 360) / 256F;
-        Mob mob = (Mob) EntityDispatcher.getInstance().createEntity(packetAddMob.type, mc.currentWorld);
+        Mob mob = (Mob) EntityDispatcher.getInstance().createEntity(packetAddMob.type, this.mc.currentWorld);
         mob.serverPosX = packetAddMob.x;
         mob.serverPosY = packetAddMob.y;
         mob.serverPosZ = packetAddMob.z;
         mob.id = packetAddMob.id;
         mob.absMoveTo(d, d1, d2, f, f1);
         mob.isMultiplayerEntity = true;
-        worldClientMP.addEntityToWorld(packetAddMob.id, mob);
+        this.worldClientMP.addEntityToWorld(packetAddMob.id, mob);
         List<SynchedEntityData.DataItem<?>> list = packetAddMob.getUnpackedData();
-        if (list != null)
-        {
+        if (list != null) {
             mob.getEntityData().assignValues(list);
         }
         mob.nickname = StringUtils.substring(packetAddMob.nickname, 0, 32);
@@ -759,29 +677,25 @@ public class PacketHandlerClient extends PacketHandler
     }
 
     @Override
-    public void handleSetTime(@NotNull PacketSetTime packetSetTime)
-    {
-        mc.currentWorld.setWorldTime(packetSetTime.time);
+    public void handleSetTime(@NotNull PacketSetTime packetSetTime) {
+        this.mc.currentWorld.setWorldTime(packetSetTime.time);
     }
 
     @Override
-    public void handleSetSpawnPosition(@NotNull PacketSetSpawnPosition packetSetSpawnPosition)
-    {
-        mc.thePlayer.setPlayerSpawnPoint(new TilePos(packetSetSpawnPosition.x, packetSetSpawnPosition.y, packetSetSpawnPosition.z));
-        mc.currentWorld.getLevelData().setSpawn(packetSetSpawnPosition.x, packetSetSpawnPosition.y, packetSetSpawnPosition.z);
+    public void handleSetSpawnPosition(@NotNull PacketSetSpawnPosition packetSetSpawnPosition) {
+        this.mc.thePlayer.setPlayerSpawnPoint(new TilePos(packetSetSpawnPosition.x, packetSetSpawnPosition.y, packetSetSpawnPosition.z));
+        this.mc.currentWorld.getLevelData().setSpawn(packetSetSpawnPosition.x, packetSetSpawnPosition.y, packetSetSpawnPosition.z);
     }
 
     @Override
-    public void handleSetRiding(@NotNull PacketSetRiding packetSetRiding)
-    {
+    public void handleSetRiding(@NotNull PacketSetRiding packetSetRiding) {
         Entity passenger = getEntityByID(packetSetRiding.passengerId);
         IVehicle vehicle;
-        if (packetSetRiding.passengerId == mc.thePlayer.id)
-        {
-            passenger = mc.thePlayer;
+        if (packetSetRiding.passengerId == this.mc.thePlayer.id) {
+            passenger = this.mc.thePlayer;
         }
         if (packetSetRiding.isTileEntity) {
-            vehicle = (IVehicle) worldClientMP.getTileEntity(packetSetRiding.x, packetSetRiding.y, packetSetRiding.z);
+            vehicle = (IVehicle) this.worldClientMP.getTileEntity(packetSetRiding.x, packetSetRiding.y, packetSetRiding.z);
         } else {
             vehicle = getEntityByID(packetSetRiding.vehicleId);
         }
@@ -791,85 +705,64 @@ public class PacketHandlerClient extends PacketHandler
     }
 
     @Override
-    public void handleEntityEvent(@NotNull PacketEntityEvent packetEntityEvent)
-    {
+    public void handleEntityEvent(@NotNull PacketEntityEvent packetEntityEvent) {
         Entity entity = getEntityByID(packetEntityEvent.entityId);
-        if (entity != null)
-        {
+        if (entity != null) {
             entity.handleEntityEvent(packetEntityEvent.entityStatus, packetEntityEvent.attackedAtYaw);
         }
     }
 
-    protected Entity getEntityByID(int i)
-    {
-        if (i == mc.thePlayer.id)
-        {
-            return mc.thePlayer;
-        }
-        else
-        {
-            return worldClientMP.getEntityFromId(i);
+    protected Entity getEntityByID(int i) {
+        if (i == this.mc.thePlayer.id) {
+            return this.mc.thePlayer;
+        } else {
+            return this.worldClientMP.getEntityFromId(i);
         }
     }
 
     @Override
-    public void handleSetHealth(@NotNull PacketSetHealth packetSetHealth)
-    {
-        mc.thePlayer.setHealth(packetSetHealth.healthMP);
+    public void handleSetHealth(@NotNull PacketSetHealth packetSetHealth) {
+        this.mc.thePlayer.setHealth(packetSetHealth.healthMP);
     }
 
     @Override
-    public void handleUpdatePlayerProfile(@NotNull PacketUpdatePlayerProfile profilePacket)
-    {
+    public void handleUpdatePlayerProfile(@NotNull PacketUpdatePlayerProfile profilePacket) {
         PlayerProfile playerProfile = new PlayerProfile(profilePacket.username, profilePacket.nickname, profilePacket.uuid, profilePacket.score, profilePacket.chatColor, profilePacket.isOperator);
-        if (playerProfile.uuid.equals(mc.thePlayer.uuid))
-        {
-            mc.thePlayer.score = playerProfile.scoreTotal;
+        if (playerProfile.uuid.equals(this.mc.thePlayer.uuid)) {
+            this.mc.thePlayer.score = playerProfile.scoreTotal;
         }
         int index = findPlayerInList(playerProfile);
-        if (index != -1)
-        {
-            if (!profilePacket.isOnline)
-            {
+        if (index != -1) {
+            if (!profilePacket.isOnline) {
                 removePlayer(index);
+            } else {
+                this.players.set(index, playerProfile);
             }
-            else
-            {
-                players.set(index, playerProfile);
-            }
-        }
-        else
-        {
+        } else {
             addPlayer(playerProfile);
         }
     }
 
     @Override
-    public void handleRespawn(@NotNull PacketRespawn packetRespawn)
-    {
-        if (packetRespawn.respawnDimensionId != mc.thePlayer.dimension)
-        {
-            started = false;
-            worldClientMP = new WorldClientMP(this, worldClientMP.getLevelData().getRandomSeed(), packetRespawn.respawnDimensionId, packetRespawn.respawnWorldTypeId);
-            worldClientMP.isClientSide = true;
-            mc.changeWorld(worldClientMP);
-            mc.thePlayer.dimension = packetRespawn.respawnDimensionId;
-            mc.displayScreen(new ScreenDownloadTerrain(this));
+    public void handleRespawn(@NotNull PacketRespawn packetRespawn) {
+        if (packetRespawn.respawnDimensionId != this.mc.thePlayer.dimension) {
+            this.started = false;
+            this.worldClientMP = new WorldClientMP(this, this.worldClientMP.getLevelData().getRandomSeed(), packetRespawn.respawnDimensionId, packetRespawn.respawnWorldTypeId);
+            this.worldClientMP.isClientSide = true;
+            this.mc.changeWorld(this.worldClientMP);
+            this.mc.thePlayer.dimension = packetRespawn.respawnDimensionId;
+            this.mc.displayScreen(new ScreenDownloadTerrain(this));
         }
-        mc.respawn(true, packetRespawn.respawnDimensionId);
+        this.mc.respawn(true, packetRespawn.respawnDimensionId);
     }
 
     @Override
-    public void handleExplosion(@NotNull PacketExplosion packetExplosion)
-    {
+    public void handleExplosion(@NotNull PacketExplosion packetExplosion) {
         Explosion explosion;
-        if (packetExplosion.isCannonball)
-        {
-            explosion = new ExplosionCannonball(mc.currentWorld, null, packetExplosion.explosionX, packetExplosion.explosionY, packetExplosion.explosionZ, packetExplosion.explosionSize);
-        }
-        else
-        {
-            explosion = new Explosion(mc.currentWorld, null, packetExplosion.explosionX, packetExplosion.explosionY, packetExplosion.explosionZ, packetExplosion.explosionSize);
+        if (packetExplosion.isCannonball) {
+            explosion = new ExplosionCannonball(this.mc.currentWorld, null, packetExplosion.explosionX, packetExplosion.explosionY, packetExplosion.explosionZ, packetExplosion.explosionSize);
+        } else {
+            explosion = new Explosion(this.mc.currentWorld, null, packetExplosion.explosionX, packetExplosion.explosionY, packetExplosion.explosionZ, packetExplosion.explosionSize);
         }
         explosion.destroyedBlockPositions = packetExplosion.destroyedBlockPositions;
         //explosion.doExplosionA();
